Subject: bug#64270: 30.0.50; Font update for no toolkit menu

From: Manuel Giraud <[email-masked]>
Date: Wed, 28 Jun 2023 09:38:24 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 27 Jun 2023 18:07:33 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Manuel Giraud <[email-masked]>
>> >> Cc: [email-masked]
>> >> Date: Tue, 27 Jun 2023 16:13:15 +0200
>> >> 
>> >> Eli Zaretskii <[email-masked]> writes:
>> >> 
>> >> > If this is not what you meant, then how would Emacs know which font to
>> >> > select for menus when the default face's font is changed?
>> >> 
>> >> For my usage, I imagine that yes the menu font would change when I
>> >> change the frame's default face.  But this because my menu face is
>> >> already derived from the default face.
>> >> 
>> >> For the general usage, my idea (and what I start doing in my patch, see
>> >> my first message) is to query the MENU_FACE_ID.  So the font into the
>> >> menus would change if the user modify its menu face.
>> >
>> > This is a misunderstanding: I didn't ask what would be the trigger to
>> > change the font.  I asked how would Emacs know _which_ font to choose
>> > for the menus?
>> 
>> I also am not sure I understand.  I don't think that Emacs has to choose
>> a font here.  It would use the font used for the menu face.  What am I
>> missing?
>
> How is this different from what happens today?

It does not work today at least for the no-toolkit build.  The menu face
changes the face of the menu bar but not the font in the menus itselves.
-- 
Manuel Giraud